// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16AI64/16AI64_Linux_3.x.x.x_DN/samples/fsamp/main.h $
// $Rev: 51832 $
// $Date: 2022-10-17 16:03:59 -0500 (Mon, 17 Oct 2022) $

// 16AI64: Sample Application: header file

#ifndef	__MAIN_H__
#define	__MAIN_H__

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>

#include "16ai64_main.h"



// macros *********************************************************************

#define	SIZEOF_ARRAY(a)						(sizeof((a)) / sizeof((a)[0]))



// data types *****************************************************************

typedef struct
{
	// Application Settings
	s32		continuous;
	s32		index;
	s32		minute_limit;
	s32		range;
	s32		save;		// Save scan data to disk?
	s32		test_limit;

	int		fd;

	// Device Settings
	s32		fsamp;
} args_t;



// prototypes *****************************************************************

int	perform_tests(const args_t* args);



#endif
