// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16AI64/16AI64_Linux_3.x.x.x_DN/utils/init.c $
// $Rev: 42828 $
// $Date: 2018-05-17 16:57:08 -0500 (Thu, 17 May 2018) $

// 16AI64: Utilities: source file

#include "main.h"



/*****************************************************************************
*
*	Function:	ai64_init_util
*
*	Purpose:
*
*		Implement a visual wrapper around the API init call.
*
*	Arguments:
*
*		verbose	Work verbosely?
*
*	Returned:
*
*		>= 0	The number of errors seen.
*
*****************************************************************************/

int ai64_init_util(int verbose)
{
	int	errs	= 0;
	int	ret;

	if (verbose)
		gsc_label("API Initialize");

	ret		= ai64_init();
	errs	+= ret ? 1 : 0;

	if (verbose)
		printf("%s\n", errs ? "FAIL <---" : "PASS");

	return(errs);
}



